Bug 1495202 - OSP12: Continuous "orphan" and "/proc/.../stat" logs in /var/log/messages
Summary: OSP12: Continuous "orphan" and "/proc/.../stat" logs in /var/log/messages
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director
Version: 12.0 (Pike)
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
: 12.0 (Pike)
Assignee: Martin André
QA Contact: Omri Hochman
URL:
Whiteboard:
Depends On: 1493523
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-25 13:25 UTC by Marius Cornea
Modified: 2018-03-20 22:02 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-20 22:02:41 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Marius Cornea 2017-09-25 13:25:15 UTC
Description of problem:

On an upgraded environment I can notice on overcloud nodes in
/var/log/messages such repeating messages for pretty much all the
running containers:

Sep 20 04:21:05 localhost dockerd-current:
time="2017-09-20T08:21:05.094547426Z" level=warning msg="containerd:
unable to save dd593b64a01afb597bbbc299e9877264b358c4b44128ca5faee91c5feb16e814:be232d5dc96e5b37cb57b59aae0c6e291dc5a4a96d06084c9f6bffed57830f53
starttime: open /proc/626895/stat: no such file or directory"
Sep 20 04:21:05 localhost dockerd-current:
time="2017-09-20T08:21:05.09479117Z" level=info msg="containerd:
dd593b64a01afb597bbbc299e9877264b358c4b44128ca5faee91c5feb16e814:be232d5dc96e5b37cb57b59aae0c6e291dc5a4a96d06084c9f6bffed57830f53
(pid 626895) has become an orphan, killing it"

It looks that the issue has been reported in https://github.com/moby/moby/issues/28336 and fixed by https://github.com/containerd/containerd/pull/351

I filed bug 1493523 against the docker component.

I filed this bug against the OSP product to make sure that we get this issue fixed in docker before OSP12 release date.

Comment 3 Alex Schultz 2018-03-20 22:02:41 UTC
So this appears to have been addressed in newer versions of docker and docker 1.13.1 is being shipped as the latest version under RHEL. Closing this issue for now, feel free to open it back up if it comes back.


Note You need to log in before you can comment on or make changes to this bug.